{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% extends '_layout.html.twig' %}
{% block title %}Utilisateurs{% endblock %}
{% set _breadcrumb = ['label.administration', 'label.users'] %}
{% import "DatatourismeWebAppBundle::macros.html.twig" as macros %}

{% block content %}
    <!-- Content Header (Page header) -->
    <section class="content-header">
        {% if is_granted('user.administrate') %}
            <a href="{{ path('user.add') }}" data-toggle="modal-remote" class="btn btn-primary pull-right"><span class="fa fa-user"></span> {{ "label.new_admin" | trans }}</a>
        {% endif %}
        <h1>{{ "label.users" | trans }}</h1>
    </section>
    <section class="content">
        <!-- /.row -->
        <div class="row">
            <div class="col-xs-12">
                <div class="box">
                    <div class="box-body no-padding">
                        {{ form_start(list.form, {'action': app.request.pathinfo, 'method': 'GET'}) }}
                        <table class="table table-responsive table-hover m-b-0">
                            <thead>
                                <tr>
                                    {{ knp_pagination_sortable(list.pagination, 'label.lastname_firstname' | trans, 'u.lastName') }}
                                    {{ knp_pagination_sortable(list.pagination, 'label.email' | trans, 'u.email') }}
                                    {{ knp_pagination_sortable(list.pagination, 'label.type' | trans, 't.name') }}
                                    {{ knp_pagination_sortable(list.pagination, 'label.organization' | trans, 'u.organization') }}
                                    {{ knp_pagination_sortable(list.pagination, 'label.zip' | trans, 'u.zip') }}
                                    {{ knp_pagination_sortable(list.pagination, 'label.country' | trans, 'u.country') }}
                                    {{ knp_pagination_sortable(list.pagination, 'Inscript.', 'u.createdAt') }}
                                    {{ knp_pagination_sortable(list.pagination, 'label.status' | trans, 'u.enabled', {'style': 'width: 1px;'}) }}
                                </tr>
                            </thead>
                            <tbody>
                                <tr class="table-filters">
                                    <td>{{ form_widget(list.form.fullName, {'attr': {'class': 'input-sm'}}) }}</td>
                                    <td>{{ form_widget(list.form.email, {'attr': {'class': 'input-sm'}}) }}</td>
                                    <td>{{ form_widget(list.form.type, {'attr': {'class': 'input-sm'}}) }}</td>
                                    <td>{{ form_widget(list.form.organization, {'attr': {'class': 'input-sm'}}) }}</td>
                                    <td>{{ form_widget(list.form.zip, {'attr': {'class': 'input-sm'}}) }}</td>
                                    <td>{{ form_widget(list.form.country, {'attr': {'class': 'input-sm'}}) }}</td>
                                    <td><input type="text" class="input-sm form-control" disabled></td>
                                    <td>{{ form_widget(list.form.status, {'attr': {'class': 'input-sm'}}) }}</td>
                                </tr>
                                {% for user in list.items %}
                                    <tr>
                                        <td>
                                            {% if has_role('ROLE_ADMIN', user) %}
                                                <span class="fa fa-user-secret pull-right"></span>
                                            {% endif %}
                                            <a href="{{ path('user.edit', {id: user.id}) }}">{{ user.reverseFullName }}</a>
                                        </td>
                                        <td><a href="mailto:{{ user.email }}">{{ user.email }}</a></td>
                                        <td>{{ user.type|trans({}, "entities") }}</td>
                                        <td>
                                            {% if user.website | length > 0 %}
                                                <a href="{{ user.website }}" target="_blank">{{ user.organization }}</a>
                                            {% else %}
                                                {{ user.organization }}
                                            {% endif %}
                                        </td>
                                        <td>{{ user.zip }}</td>
                                        <td><span title="{{ user.countryName }}" data-tooltip='{"side": "right"}'>{{ user.country }}</span></td>
                                        <td>{{ user.createdAt|date('d/m/Y') }}</td>
                                        <td><span class="label label-{{ user.accountStatus.class }}">{{ user.accountStatus.label | trans }}</td>
                                    </tr>
                                {% endfor %}
                            </tbody>
                        </table>
                        {{ form_end(list.form) }}
                    </div>

                    {% if list.pagination | length == 0 %}
                        <div class="blankslate blankslate-spacious">
                            <h3>{{ "text.users_no_result" | trans }}</h3>
                        </div>
                    {% endif %}

                    <!-- /.box-body -->
                    {% if is_granted('ROLE_ADMIN') or list.totalItemCount > page_size %}
                        <div class="box-footer">
                            {% if is_granted('ROLE_ADMIN') %}
                                <a href="{{ path('user.export', app.request.query.all) }}" class="btn btn-default btn-sm pull-left">
                                    <span class="fa fa-download"></span> {{ "btn.download_list" | trans }}
                                </a>
                            {% endif %}
                            {% if list.totalItemCount > page_size %}
                                {% if is_granted('ROLE_ADMIN') == 0 %}
                                    {{ macros.display_list_position(list, page_size) }}
                                {% endif %}
                                {{ knp_pagination_render(list.pagination, null, [], {class: "pagination-sm no-margin pull-right"}) }}
                            {% endif %}
                        </div>
                    {% endif %}
                </div>
                <!-- /.box -->
            </div>
        </div>
    </section>
{% endblock %}
